import Foundation
import UserNotifications

@available(iOS 10.0, *)
class NotificationHelper: NSObject {
    
    public static let shared = NotificationHelper()
    let notificationCenter = UNUserNotificationCenter.current()
    let options: UNAuthorizationOptions = [.alert, .sound, .badge]
    
    override init() {
        notificationCenter.requestAuthorization(options: options) {
            (didAllow, error) in
            if !didAllow {
                print("User has declined notifications")
            }
        }
    }
    
    func showNotification(title:String, subTitle:String, detail:String, identifier:String){
        let content = UNMutableNotificationContent()
        content.title = title
        content.subtitle = subTitle
        content.body = detail
        content.sound = UNNotificationSound.default
        
        let trigger = UNTimeIntervalNotificationTrigger.init(timeInterval: 1, repeats: false)
        let request = UNNotificationRequest.init(identifier: identifier, content: content, trigger: trigger)
        let center = UNUserNotificationCenter.current()
        center.add(request)
    }
}
